<'


define JDATABROWSER_SERVICE_NAME "JDATABROWSER";
define EDATABROWSER_SERVICE_NAME "EDATABROWSER";



// the Java databrowser service
orb interface sni_jdatabrowser_service 
    using package=com.verisity.databrowser.model.gencode {
    
    open_data_browser(s_exp: string) is sync;
    
    refresh_data() is async;

};

// the e databrowser service
orb interface sni_edatabrowser_service 
    using package=com.verisity.databrowser.model.gencode {
    
    get_data_node(s_exp: string): sn_data_node_info is sync;
    
    is_legal_exp(s_exp: string): bool is sync;
    
};


'>


<>  Data Contents
<'

// the main node model that represent one data content
orb interface sni_data_node_model  
    using package=com.verisity.databrowser.model.gencode {
    
    get_children(): list of sn_data_node_info is sync

};

struct sn_data_node_info {
    p_node_model: sni_data_node_model;
    p_s_exp: string;
    p_s_value: string;
    p_s_member: string;
    p_s_type: string;
    p_f_list: bool;
    p_f_leaf: bool;
    p_f_when: bool;
    p_n_kind: int;
    p_n_source_ref: int;
    p_n_member_source_ref: int;
    p_n_size: int;
    p_f_null: bool;
    p_s_description: string;
};

orb data sn_data_node_info 
    using package=com.verisity.databrowser.model.gencode ;

    
    
'>



