<'
'>
-----------------------------------------------
-- File: sn_data_node_info_helper.e
-- E code, generated from edl edl_data: sn_data_node_info
-- Was built at: 29/05/01 23:36:33
-----------------------------------------------

<'

import sn_data_node_info_declare.e;

'>


<'

-- descriptor for sn_data_node_info

extend sn_data_node_info_descriptor  {

  is_instance(o: any_struct ): bool is {
    return (o is a sn_data_node_info);
  };

  p_get_unpacker_type(): struct_descriptor is {
    return p_sd_packer;
  };

  p_make_packer(o: any_struct): comm_pack_unpackable is {
    if (me.is_instance(o)) {
        result = NEW sn_data_node_info_packer.ctor(o.as_a(sn_data_node_info));
    };
  };

  init() is {
    p_sd_packer = 
        type_called("sn_data_node_info_packer").as_a(struct_descriptor);
  };

  p_sd_packer: struct_descriptor;
};


-- Add generated struct in run time

  extend global {
      init() is also {
          sn_edl_parser.add_loaded_gen_struct("sn_data_node_info");
      };
  };


'>


<'

-- packer for sn_data_node_info

struct sn_data_node_info_packer like snorb_i_data_packer { 

  --  member data

  p_data: sn_data_node_info;
  
  --  ctor

  ctor(data: sn_data_node_info) is { p_data = data; };

  -- access to inner object

  get_inner() : any_struct is { return p_data; };

  // generated packing:

  pack_data(out: comm_socket_interactor): int is {

    result += snorb.obj_helper.write_orb_object(
        out, p_data.p_node_model, snorb.descriptor.sni_data_node_model);
    result += out.write_string(p_data.p_s_exp);
    result += out.write_string(p_data.p_s_value);
    result += out.write_string(p_data.p_s_member);
    result += out.write_string(p_data.p_s_type);
    result += out.write_bool(p_data.p_f_list);
    result += out.write_bool(p_data.p_f_leaf);
    result += out.write_bool(p_data.p_f_when);
    result += out.write_int(p_data.p_n_kind);
    result += out.write_int(p_data.p_n_source_ref);
    result += out.write_int(p_data.p_n_member_source_ref);
    result += out.write_int(p_data.p_n_size);
    result += out.write_bool(p_data.p_f_null);
    result += out.write_string(p_data.p_s_description);

  };


  // generated unpacking:

  unpack_data(in: comm_socket_interactor) is {

    p_data = new;

    p_data.p_node_model = 
       snorb.obj_helper.read_orb_object(in, snorb.descriptor.sni_data_node_model
         ).as_a(sni_data_node_model);

    p_data.p_s_exp = in.read_string();

    p_data.p_s_value = in.read_string();

    p_data.p_s_member = in.read_string();

    p_data.p_s_type = in.read_string();

    p_data.p_f_list = in.read_bool();

    p_data.p_f_leaf = in.read_bool();

    p_data.p_f_when = in.read_bool();

    p_data.p_n_kind = in.read_int();

    p_data.p_n_source_ref = in.read_int();

    p_data.p_n_member_source_ref = in.read_int();

    p_data.p_n_size = in.read_int();

    p_data.p_f_null = in.read_bool();

    p_data.p_s_description = in.read_string();


  };


};


'>


<'

extend sn_data_node_info {

  -- constructor for initializing all data members

  sn_ctor_sn_data_node_info(
    any_p_node_model: sni_data_node_model,
    any_p_s_exp: string,
    any_p_s_value: string,
    any_p_s_member: string,
    any_p_s_type: string,
    any_p_f_list: bool,
    any_p_f_leaf: bool,
    any_p_f_when: bool,
    any_p_n_kind: int,
    any_p_n_source_ref: int,
    any_p_n_member_source_ref: int,
    any_p_n_size: int,
    any_p_f_null: bool,
    any_p_s_description: string) is {


    p_node_model = any_p_node_model;
    p_s_exp = any_p_s_exp;
    p_s_value = any_p_s_value;
    p_s_member = any_p_s_member;
    p_s_type = any_p_s_type;
    p_f_list = any_p_f_list;
    p_f_leaf = any_p_f_leaf;
    p_f_when = any_p_f_when;
    p_n_kind = any_p_n_kind;
    p_n_source_ref = any_p_n_source_ref;
    p_n_member_source_ref = any_p_n_member_source_ref;
    p_n_size = any_p_n_size;
    p_f_null = any_p_f_null;
    p_s_description = any_p_s_description;

  };

};

'>


