<'
//////////// ERRORS /////////////////////////
def_err BUTTON_CLICK_IMPL sn_err_general "Button_click method is not implemented";
def_err INVALID_INIT_VAL sn_err_general "Invalid value for %s. not in the valid values list ";

///////// types ////////////////////////////////
extend ui_type :[static_text, button];
type eb_option_kind : [ GENERIC , HELP];
//type eb_node_status : [EB_STATUS_EMPTY , EB_STATUS_FULL, EB_STATUS_PARTIAL];

////  consts  ////////////
define EB_STATUS_EMPTY 0;
define EB_STATUS_FULL 1;
define EB_STATUS_PARTIAL 2;


'>


<'
//----------------------------------------
//////// sn_e_builder ////////////////////
//----------------------------------------
struct sn_e_builder like  sn_struct{
    
    auto_explain : bool;
    is_open : bool;
    
    auto_explain_changed(mode:bool) is {
        me.auto_explain = mode;
    };
    
    is_valid_eb_form_type(short_type :  short_type) : bool is {
        
        result =  ( short_type == BOOL_TYPE ||
            short_type == ENUM_TYPE ||
            short_type == STRING_TYPE ||
            symtab.is_numeric_type(short_type)  );

    }; 
    
    get_jservice(): sni_jebuilder_service is empty;
};

extend global {
    
    p_ebuilder : sn_e_builder;
    
    init() is also {
        p_ebuilder= new sn_e_builder;
    };
};

'>

//////////////////////////////////////////////
// general utils
//////////////////////////////////////////////

<'
extend symtab {
    
    get_field_by_name(s : base_struct , field_name: string) : field is {
        
        var sd : struct_descriptor = s.type().as_a(struct_descriptor);
        
        result = sd.fields.first(.short_name == field_name);
    };
    
    
};

extend debug {
    ebuilder: bool;
};


'>