<'

extend sys {
    comm: ebyp_comm is instance;
    
};

unit ebyp_comm {
    router: ebyp_router is instance;
};

unit ebyp_router {
    controller: ebyp_ahb_evc  is instance;
    
    lst_of_in_interfaces: list of ebyp_in_interface  is instance;
    keep lst_of_in_interfaces.size() == 3;
    
    lst_of_out_interfaces: list of ebyp_out_interface  is instance;
    keep lst_of_out_interfaces.size() == 5;
    
    
    cell: ebyp_cell;
};

unit ebyp_ahb_evc {
    n: int;
};   
    
unit ebyp_in_interface {
    addr: int;
    keep addr < 100;
    
};

unit ebyp_out_interface {
    addr: int;
    keep addr > 100;
};

struct ebyp_cell {
    data: list of int;
    keep data.size() < 15; 
    
    len: int;
    keep len == data.size();
};

'>

