<'
'>
-----------------------------------------------
-- File: sni_jebuilder_service_helper.e
-- E code, generated from edl edl_interface: sni_jebuilder_service
-- Was built at: 17/05/01 21:01:50
-----------------------------------------------

<'

import sni_jebuilder_service_declare.e;

'>


<'

-- The interface descriptor for sni_jebuilder_service 


extend sni_jebuilder_service_descriptor  {

  is_instance(o: any_struct): bool  is {
    return (p_to_instance(o) != NULL);
  };

  p_create_stub(oid: snorb_object_id): any_struct is {
    result = NEW sni_jebuilder_service_stub.ctor(oid);
    result.set_unit(sys);
  };

  p_is_stub(o: any_struct): bool is  {
    return (p_to_stub_instance(o) != NULL);
  };

  p_get_stub_object_id( o: any_struct): snorb_object_id is {
    if (p_is_stub(o)) {
        result = p_to_stub_instance(o).p_get_object_id();
    };
  };

  p_create_impl_adapter( o: any_struct ): snorb_i_impl is {
    if (is_instance(o)) {
        result = NEW sni_jebuilder_service_impl_adapter.ctor(p_to_instance(o));
    };
  };

  p_to_instance( o: any_struct ): sni_jebuilder_service is {
    result = o.as_a(sni_jebuilder_service);
  };

  p_to_stub_instance(o: any_struct): sni_jebuilder_service_stub is {
    result = o.as_a(sni_jebuilder_service_stub);
  };
};


-- Add generated struct in run time


  extend global {
      init() is also {
          sn_edl_parser.add_loaded_gen_struct("sni_jebuilder_service");
      };
  };

'>



<'

-- The stub class for sni_jebuilder_service

struct sni_jebuilder_service_stub like sni_jebuilder_service {

  -- generated data members

  p_objid : snorb_object_id;

  -- ctor

  ctor(objid: snorb_object_id) is { p_objid = objid; };


  -- access to obj id
                                           
  p_get_object_id() : snorb_object_id is { return p_objid; };


  // impl for sni_jebuilder_service methods:

  open_ebuilder_window(
    data_model: sn_ebuilder_node_data,
    s_sel_node_id: string) is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();

    pm.put_data(data_model, snorb.descriptor.sn_ebuilder_node_data);

    pm.put_string(s_sel_node_id);


    // make remote call

    var pd : snorb_param_demarshaller = 
        snorb.sender.call_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("open_ebuilder_window"), pm);

    // Demarshaller return param

  };


  is_modified(): bool is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();


    // make remote call

    var pd : snorb_param_demarshaller = 
        snorb.sender.call_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("is_modified"), pm);

    // Demarshaller return param

    result = pd.get_bool();
  };


  set_items_properties(
    items_properties: list of sn_item_properties) is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();

    pm.put_data_list(items_properties
        .as_a(list of any_struct), snorb.descriptor.sn_item_properties);


    // make remote call

    var pd : snorb_param_demarshaller = 
        snorb.sender.call_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("set_items_properties"), pm);

    // Demarshaller return param

  };


  get_items_properties(
    items_names: list of string): list of sn_item_properties is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();

    pm.put_string_list(items_names);


    // make remote call

    var pd : snorb_param_demarshaller = 
        snorb.sender.call_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("get_items_properties"), pm);

    // Demarshaller return param

    result = pd.get_data_list( snorb.descriptor.sn_item_properties
         ).as_a(list of sn_item_properties);
  };


};

'>




<'

// The implementation wrapper for sni_jebuilder_service
struct sni_jebuilder_service_impl_adapter like snorb_i_impl_adapter {

  --
  -- data members
  --

  p_ref : sni_jebuilder_service;

  --
  -- snorb_i_impl_adapter methods:
  --

  -- ctor
  ctor( o_ref : sni_jebuilder_service ) is {
    p_ref = o_ref;
  };

  -- get_reference
  get_reference() : any_struct is {
    return p_ref;
  };

  --
  -- snorb_i_impl methods:
  --

  -- accept_call
  accept_call(    methodid : snorb_method_id,
                  param    : snorb_param_demarshaller) :
                  snorb_param_marshaller is {

    -- prepare the marshaller for returning
    result = NEW snorb_param_marshaller.ctor();

    -- test for each known method:

    if (methodid.equals( "open_ebuilder_window" )) {

      // NO return value
      
      // unmarshall all params
      var data_model : sn_ebuilder_node_data = param.get_data( snorb.descriptor.sn_ebuilder_node_data
         ).as_a(sn_ebuilder_node_data);
      var s_sel_node_id : string = param.get_string();


      // make call
      p_ref.open_ebuilder_window(
           data_model,
           s_sel_node_id);
    } else     if (methodid.equals( "is_modified" )) {

      // prepare return variable
      var rvalue: bool;

      // unmarshall all params


      // make call
      rvalue = p_ref.is_modified();

      // marshal return param
      result.put_bool(rvalue);


    } else     if (methodid.equals( "set_items_properties" )) {

      // NO return value
      
      // unmarshall all params
      var items_properties : list of sn_item_properties = param.get_data_list( snorb.descriptor.sn_item_properties
         ).as_a(list of sn_item_properties);


      // make call
      p_ref.set_items_properties(
           items_properties);
    } else     if (methodid.equals( "get_items_properties" )) {

      // prepare return variable
      var rvalue: list of sn_item_properties;

      // unmarshall all params
      var items_names : list of string = param.get_string_list();


      // make call
      rvalue = p_ref.get_items_properties(
           items_names);

      // marshal return param
      result.put_data_list(rvalue
        .as_a(list of any_struct), snorb.descriptor.sn_item_properties);


    }     else {
        
      // error: unknown method id
      sn_err(ORB_ACCEPTED_UNKNOWN_METHOD, methodid.to_string());
        
    };
  };
};

'>




