<'


// add Class Browser options

// MEMBERS
add config option show_fields -category=jbrowsers -type=bool -init=TRUE -label="Show fields" -tooltip="Show fields" -group="Show Struct Members";
add config option show_constraints -category=jbrowsers -type=bool -init=TRUE -label="Show constraints" -tooltip="Show constraints" -group="Show Struct Members";
add config option show_methods -category=jbrowsers -type=bool -init=TRUE -label="Show methods and TCMs" -tooltip="Show methods and TCMs members" -group="Show Struct Members";
add config option show_events -category=jbrowsers -type=bool -init=TRUE -label="Show events" -tooltip="Show events" -group="Show Struct Members";
add config option show_cover -category=jbrowsers -type=bool -init=TRUE -label="Show coverage" -tooltip="Show coverage information" -group="Show Struct Members";

// SHOW INSTANCE NAME
add config option show_inst_name -category=jbrowsers -type=bool -init=TRUE -label="Show instance name" -tooltip="Show instance name of structs/units" -group="Data Browser";


// SORTING
add config option sort_by_member -category=jbrowsers -type=bool -init=TRUE -label="Sort by member kind" -tooltip="Sort members by their kind" -group="Sorting";

// SOURCE WIDTH
add config option source_width -category=jbrowsers -type=int -init=10 -label="Source Lines Width" -tooltip="Set the number of lines to show arround wanted line" -group="Show Source";

// BACK-POINTERS
add config option back_pointer_wildcard -category=jbrowsers -type=string -init="" -label= "Wilcards for back pointers"   -tooltip="Wildcard list for <struct>.<field> to mark back-pointers, semicolon seperated. E.g. packet.p_*;atm.*_parent" -group="Special Marking";

///// FILTERING 
// by fields
type fields_wildcard_filter_policy: [none, hide_matching, show_matching];
add config option fields_wildcard_filter_policy -category=jbrowsers -type=fields_wildcard_filter_policy -init=none -label="Filter fields by widcards" -tooltip="Filter fields by widcards as specified in 'filter_fields_wildcard' option" -group="Filtering";

add config option filter_fields_wildcard -category=jbrowsers -type=string -init="" -label= "Wilcards for fields"   -tooltip="Wildcard list for <struct>.<field>, semicolon seperated. E.g. packet.p_*;atm.*_parent" -group="Filtering";


type subclasses_wildcard_filter_policy: [none, hide_matching, show_matching];
add config option subclasses_wildcard_filter_policy -category=jbrowsers -type=subclasses_wildcard_filter_policy -init=none -label="Filter subclasses by widcards" -tooltip="Filter subclasses by widcards as specified in 'filter_subclasses_wildcard' option" -group="Filtering";

add config option filter_subclasses_wildcard -category=jbrowsers -type=string -init="" -label= "Wilcards for subclasses" -tooltip="Wildcard list for <struct-name>, semicolon seperated. E.g. pack*;atm_*" -group="Filtering";

// by type
type fields_type_filter_policy: [none, hide_matching, show_matching];
add config option fields_type_filter_policy -category=jbrowsers -type=fields_type_filter_policy -init=none -label="Filter fields by type" -tooltip="Filter fields by type as specified in 'filter_fields_by_type' option" -group="Filtering";

add config option filter_fields_by_type -category=jbrowsers -type=string -init="" -label= "Type for fields" -tooltip="A type for filtering fields" -group="Filtering";





'>

