
package  com.verisity.jspecview;

import com.verisity.utils.debug.*;
import com.verisity.utils.debugmode.*;
import com.verisity.utils.snorb.*;
import com.verisity.jspecview.model.gencode.*;
import com.verisity.jspecview.comm.*;

public class JAppletService implements  sni_japplet_service, IDebugMode{

  static final public String SERVICE_NAME = "SN_APPLET";
  static final public String COMMAND_SERVICE_NAME = "SN_APP_COMMAND";
  static public boolean DEBUG = false;
  static private  JAppletService __me;
  
  private JAppletService(){
  }
 
  
  static public  JAppletService  getService(){
    
    if( __me == null)
       __me = new JAppletService();
    return __me;
    
  }

  public sn_japplet_data runServer(int nPort) {

    AppletConnection  connection = AppletConnection.getConnection();
    if (connection == null)
	return null;
    if(nPort != -1){          
      if(!connection.openServerSocket(nPort))
	return null;
    }
    return connection.getData();
  }

  public void debug(boolean fVal) {
    JAppletService.DEBUG = fVal;
  }

  static public void start() {
    if (JAppletService.DEBUG) System.out.println("Java Side: Starting JAppletService ");
    Snorb.registerService( 
			  getService(),
			  sni_japplet_service.DESCRIPTOR,
			  SERVICE_NAME);
  }


}
