#!/bin/sh
if (quantify -help > /dev/null ) ; then true; else
  echo "$0: please change path so that quantify is on it."
  exit 1
fi

dn=`dirname $0`
qld=${dn}/sn_qld.sh

if [ ! -f $qld ]; then
  echo "can't find sn_qld.sh, which is supposed to be in the same directory as me."
  exit 1
fi

case "$*" in
*-sim\ vcs*)
  sn_compile.sh "$@" -sim_flags "-ld $qld"
  ;;
*)
  if [ -f .specman ] ; then
    /bin/cp .specman .specman.$$
  fi
  touch .specman
  echo "SPECMAN_LINKER=$qld" >> .specman
  sn_compile.sh "$@"
  /bin/rm .specman
  if [ -f .specman.$$ ] ; then
    /bin/mv .specman.$$ .specman 
  fi
  ;;
esac
