#!/bin/sh
usage() {
cat 1>&2 <<EOM
Usage: $0 <dir> <config> <execution params>
look at sn_compare.html.

EOM
exit
}


sn_compare_path=`dirname $0`
case "$sn_compare_path" in
/*)
  ;;
*)
  sn_compare_path=`cd $sn_compare_path;pwd`
  ;;
esac




SPECMAN_PATH=$SPECMAN_PATH:$sn_compare_path

export SPECMAN_PATH



if [  $# -eq 0 ]; then
  usage
fi


dir=$1
config=$2
shift
shift

cat << EOM > /tmp/specman.$$.ecom
load "$config"
sn_compare.log_init("$dir");
EOM

SPECMAN_PRE_COMMANDS="@/tmp/specman.$$.ecom;$SPECMAN_PRE_COMMANDS" $exec "$@"
