#!/bin/sh
usage() {
cat 1>&2 <<EOM
Usage: $0 <dir1> <dir2> <config> <SN+ load/compiled efiles>

  example :
    sn_compare.sh ~/tmp/cc_33 ~/tmp/cc_32 ~/work/cfg specman -p "loa cc"
     
  note : no test in params to SN.just a specman with compiled/loaded files !!
  
  look @ sn_compare.html

EOM
exit
}

if [  $# -eq 0 ]; then
  usage
fi

dir1=$1
dir2=$2
config=$3
shift
shift
shift


#/proj/specman/tools/test_log_filter.sh "$dir1"/cmp.elog
#/proj/specman/tools/test_log_filter.sh "$dir2"/cmp.elog
#/proj/specman/tests3.0/Temporals/log_filter.sh "$dir1"/cmp.elog
#/proj/specman/tests3.0/Temporals/log_filter.sh "$dir2"/cmp.elog

sn_compare_path=/user/ran/work/sn_compare
SPECMAN_PATH=$SPECMAN_PATH:/user/ran/work/sn_compare

export SPECMAN_PATH

cat << EOM > specman.$$.ecom
define CMPNOTEST
load "$config"
sn_compare.compare("$dir1","$dir2");
@$dir1/cmp_run.ecom
EOM

cat << EOM > cmp_my_tmp 
@specman.$$.ecom

EOM
echo "Comparing"
$exec "$@" < cmp_my_tmp

