		An example of using "show graph -def=..."
		=========================================

This very simple example demonstrates how to use the -def option
of "show graph". Load it, and you can type something like:

   show graph -def=child1 type(packet)

which will show (a somewhat strange) view of all children of type packet.

To draw any other kind of graph, simply change the scan() method.

<'
import graph.e;

struct sn_graph_child1 like sn_graph_scanner {
    scan(inst: base_struct, text: *list of string, 
                children: *list of base_struct,
		labels: *list of string) is {

	var this := inst.as_a(struct_descriptor);
	if this == NULL then {
	    error(inst, " is not a struct descriptor");
	};

	text = {this.name};
	for each in this.children do {
	    children.add(it);
	    labels.add(dec(index));
	};
    };
};
'>
