<'
'>
-----------------------------------------------
-- File: sni_jdatabrowser_service_helper.e
-- E code, generated from edl edl_interface: sni_jdatabrowser_service
-- Was built at: 29/05/01 23:36:32
-----------------------------------------------

<'

import sni_jdatabrowser_service_declare.e;

'>


<'

-- The interface descriptor for sni_jdatabrowser_service 


extend sni_jdatabrowser_service_descriptor  {

  is_instance(o: any_struct): bool  is {
    return (p_to_instance(o) != NULL);
  };

  p_create_stub(oid: snorb_object_id): any_struct is {
    result = NEW sni_jdatabrowser_service_stub.ctor(oid);
    result.set_unit(sys);
  };

  p_is_stub(o: any_struct): bool is  {
    return (p_to_stub_instance(o) != NULL);
  };

  p_get_stub_object_id( o: any_struct): snorb_object_id is {
    if (p_is_stub(o)) {
        result = p_to_stub_instance(o).p_get_object_id();
    };
  };

  p_create_impl_adapter( o: any_struct ): snorb_i_impl is {
    if (is_instance(o)) {
        result = NEW sni_jdatabrowser_service_impl_adapter.ctor(p_to_instance(o));
    };
  };

  p_to_instance( o: any_struct ): sni_jdatabrowser_service is {
    result = o.as_a(sni_jdatabrowser_service);
  };

  p_to_stub_instance(o: any_struct): sni_jdatabrowser_service_stub is {
    result = o.as_a(sni_jdatabrowser_service_stub);
  };
};


-- Add generated struct in run time


  extend global {
      init() is also {
          sn_edl_parser.add_loaded_gen_struct("sni_jdatabrowser_service");
      };
  };

'>



<'

-- The stub class for sni_jdatabrowser_service

struct sni_jdatabrowser_service_stub like sni_jdatabrowser_service {

  -- generated data members

  p_objid : snorb_object_id;

  -- ctor

  ctor(objid: snorb_object_id) is { p_objid = objid; };


  -- access to obj id
                                           
  p_get_object_id() : snorb_object_id is { return p_objid; };


  // impl for sni_jdatabrowser_service methods:

  open_data_browser(
    s_exp: string) is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();

    pm.put_string(s_exp);


    // make remote call

    var pd : snorb_param_demarshaller = 
        snorb.sender.call_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("open_data_browser"), pm);

    // Demarshaller return param

  };


  refresh_data() is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();


    // make remote notification

    snorb.sender.notify_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("refresh_data"), pm);

  };


};

'>




<'

// The implementation wrapper for sni_jdatabrowser_service
struct sni_jdatabrowser_service_impl_adapter like snorb_i_impl_adapter {

  --
  -- data members
  --

  p_ref : sni_jdatabrowser_service;

  --
  -- snorb_i_impl_adapter methods:
  --

  -- ctor
  ctor( o_ref : sni_jdatabrowser_service ) is {
    p_ref = o_ref;
  };

  -- get_reference
  get_reference() : any_struct is {
    return p_ref;
  };

  --
  -- snorb_i_impl methods:
  --

  -- accept_call
  accept_call(    methodid : snorb_method_id,
                  param    : snorb_param_demarshaller) :
                  snorb_param_marshaller is {

    -- prepare the marshaller for returning
    result = NEW snorb_param_marshaller.ctor();

    -- test for each known method:

    if (methodid.equals( "open_data_browser" )) {

      // NO return value
      
      // unmarshall all params
      var s_exp : string = param.get_string();


      // make call
      p_ref.open_data_browser(
           s_exp);
    } else     if (methodid.equals( "refresh_data" )) {

      // NO return value
      
      // unmarshall all params


      // make call
      p_ref.refresh_data();
    }     else {
        
      // error: unknown method id
      sn_err(ORB_ACCEPTED_UNKNOWN_METHOD, methodid.to_string());
        
    };
  };
};

'>




