<'
'>
-----------------------------------------------
-- File: sn_ebuilder_node_data_helper.e
-- E code, generated from edl edl_data: sn_ebuilder_node_data
-- Was built at: 17/05/01 21:01:51
-----------------------------------------------

<'

import sn_ebuilder_node_data_declare.e;

'>


<'

-- descriptor for sn_ebuilder_node_data

extend sn_ebuilder_node_data_descriptor  {

  is_instance(o: any_struct ): bool is {
    return (o is a sn_ebuilder_node_data);
  };

  p_get_unpacker_type(): struct_descriptor is {
    return p_sd_packer;
  };

  p_make_packer(o: any_struct): comm_pack_unpackable is {
    if (me.is_instance(o)) {
        result = NEW sn_ebuilder_node_data_packer.ctor(o.as_a(sn_ebuilder_node_data));
    };
  };

  init() is {
    p_sd_packer = 
        type_called("sn_ebuilder_node_data_packer").as_a(struct_descriptor);
  };

  p_sd_packer: struct_descriptor;
};


-- Add generated struct in run time

  extend global {
      init() is also {
          sn_edl_parser.add_loaded_gen_struct("sn_ebuilder_node_data");
      };
  };


'>


<'

-- packer for sn_ebuilder_node_data

struct sn_ebuilder_node_data_packer like snorb_i_data_packer { 

  --  member data

  p_data: sn_ebuilder_node_data;
  
  --  ctor

  ctor(data: sn_ebuilder_node_data) is { p_data = data; };

  -- access to inner object

  get_inner() : any_struct is { return p_data; };

  // generated packing:

  pack_data(out: comm_socket_interactor): int is {

    result += snorb.data_helper.write_data_list(
        out, p_data.p_children.as_a(list of any_struct), snorb.descriptor.sn_ebuilder_node_data);
    result += out.write_string(p_data.p_s_id);
    result += out.write_string(p_data.p_s_inst_name);
    result += out.write_string(p_data.p_s_name);
    result += out.write_int(p_data.p_n_status);
    result += out.write_bool(p_data.p_f_list);
    result += snorb.data_helper.write_data(
        out, p_data.p_jform_page, snorb.descriptor.sn_jform_page_props);
    result += out.write_string(p_data.p_s_explain_page);

  };


  // generated unpacking:

  unpack_data(in: comm_socket_interactor) is {

    p_data = new;

    p_data.p_children = 
        snorb.data_helper.read_data_list(in, snorb.descriptor.sn_ebuilder_node_data
         ).as_a(list of sn_ebuilder_node_data);

    p_data.p_s_id = in.read_string();

    p_data.p_s_inst_name = in.read_string();

    p_data.p_s_name = in.read_string();

    p_data.p_n_status = in.read_int();

    p_data.p_f_list = in.read_bool();

    p_data.p_jform_page = 
        snorb.data_helper.read_data(in, snorb.descriptor.sn_jform_page_props
         ).as_a(sn_jform_page_props);

    p_data.p_s_explain_page = in.read_string();


  };


};


'>


<'

extend sn_ebuilder_node_data {

  -- constructor for initializing all data members

  sn_ctor_sn_ebuilder_node_data(
    any_p_children: list of sn_ebuilder_node_data,
    any_p_s_id: string,
    any_p_s_inst_name: string,
    any_p_s_name: string,
    any_p_n_status: int,
    any_p_f_list: bool,
    any_p_jform_page: sn_jform_page_props,
    any_p_s_explain_page: string) is {


    p_children = any_p_children;
    p_s_id = any_p_s_id;
    p_s_inst_name = any_p_s_inst_name;
    p_s_name = any_p_s_name;
    p_n_status = any_p_n_status;
    p_f_list = any_p_f_list;
    p_jform_page = any_p_jform_page;
    p_s_explain_page = any_p_s_explain_page;

  };

};

'>


