<'
'>
-----------------------------------------------
-- File: sni_ebuilder_service_helper.e
-- E code, generated from edl edl_interface: sni_ebuilder_service
-- Was built at: 17/05/01 21:01:50
-----------------------------------------------

<'

import sni_ebuilder_service_declare.e;

'>


<'

-- The interface descriptor for sni_ebuilder_service 


extend sni_ebuilder_service_descriptor  {

  is_instance(o: any_struct): bool  is {
    return (p_to_instance(o) != NULL);
  };

  p_create_stub(oid: snorb_object_id): any_struct is {
    result = NEW sni_ebuilder_service_stub.ctor(oid);
    result.set_unit(sys);
  };

  p_is_stub(o: any_struct): bool is  {
    return (p_to_stub_instance(o) != NULL);
  };

  p_get_stub_object_id( o: any_struct): snorb_object_id is {
    if (p_is_stub(o)) {
        result = p_to_stub_instance(o).p_get_object_id();
    };
  };

  p_create_impl_adapter( o: any_struct ): snorb_i_impl is {
    if (is_instance(o)) {
        result = NEW sni_ebuilder_service_impl_adapter.ctor(p_to_instance(o));
    };
  };

  p_to_instance( o: any_struct ): sni_ebuilder_service is {
    result = o.as_a(sni_ebuilder_service);
  };

  p_to_stub_instance(o: any_struct): sni_ebuilder_service_stub is {
    result = o.as_a(sni_ebuilder_service_stub);
  };
};


-- Add generated struct in run time


  extend global {
      init() is also {
          sn_edl_parser.add_loaded_gen_struct("sni_ebuilder_service");
      };
  };

'>



<'

-- The stub class for sni_ebuilder_service

struct sni_ebuilder_service_stub like sni_ebuilder_service {

  -- generated data members

  p_objid : snorb_object_id;

  -- ctor

  ctor(objid: snorb_object_id) is { p_objid = objid; };


  -- access to obj id
                                           
  p_get_object_id() : snorb_object_id is { return p_objid; };


  // impl for sni_ebuilder_service methods:

  move_to_node(
    s_id: string,
    user_input: sn_jform_page_input): sn_ebuilder_new_state is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();

    pm.put_string(s_id);

    pm.put_data(user_input, snorb.descriptor.sn_jform_page_input);


    // make remote call

    var pd : snorb_param_demarshaller = 
        snorb.sender.call_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("move_to_node"), pm);

    // Demarshaller return param

    result = pd.get_data( snorb.descriptor.sn_ebuilder_new_state
         ).as_a(sn_ebuilder_new_state);
  };


  move_to_next(
    user_input: sn_jform_page_input): sn_ebuilder_new_state is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();

    pm.put_data(user_input, snorb.descriptor.sn_jform_page_input);


    // make remote call

    var pd : snorb_param_demarshaller = 
        snorb.sender.call_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("move_to_next"), pm);

    // Demarshaller return param

    result = pd.get_data( snorb.descriptor.sn_ebuilder_new_state
         ).as_a(sn_ebuilder_new_state);
  };


  reset(): sn_ebuilder_new_state is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();


    // make remote call

    var pd : snorb_param_demarshaller = 
        snorb.sender.call_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("reset"), pm);

    // Demarshaller return param

    result = pd.get_data( snorb.descriptor.sn_ebuilder_new_state
         ).as_a(sn_ebuilder_new_state);
  };


  apply(
    user_input: sn_jform_page_input): sn_ebuilder_new_state is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();

    pm.put_data(user_input, snorb.descriptor.sn_jform_page_input);


    // make remote call

    var pd : snorb_param_demarshaller = 
        snorb.sender.call_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("apply"), pm);

    // Demarshaller return param

    result = pd.get_data( snorb.descriptor.sn_ebuilder_new_state
         ).as_a(sn_ebuilder_new_state);
  };


  build() is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();


    // make remote notification

    snorb.sender.notify_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("build"), pm);

  };


  fill_defaults(
    user_input: sn_jform_page_input): sn_ebuilder_new_state is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();

    pm.put_data(user_input, snorb.descriptor.sn_jform_page_input);


    // make remote call

    var pd : snorb_param_demarshaller = 
        snorb.sender.call_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("fill_defaults"), pm);

    // Demarshaller return param

    result = pd.get_data( snorb.descriptor.sn_ebuilder_new_state
         ).as_a(sn_ebuilder_new_state);
  };


  ebuilder_closed() is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();


    // make remote notification

    snorb.sender.notify_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("ebuilder_closed"), pm);

  };


  get_jform_page(
    s_id: string): sn_jform_page_props is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();

    pm.put_string(s_id);


    // make remote call

    var pd : snorb_param_demarshaller = 
        snorb.sender.call_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("get_jform_page"), pm);

    // Demarshaller return param

    result = pd.get_data( snorb.descriptor.sn_jform_page_props
         ).as_a(sn_jform_page_props);
  };


  item_value_changed(
    name: string,
    value: string): string is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();

    pm.put_string(name);

    pm.put_string(value);


    // make remote call

    var pd : snorb_param_demarshaller = 
        snorb.sender.call_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("item_value_changed"), pm);

    // Demarshaller return param

    result = pd.get_string();
  };


};

'>




<'

// The implementation wrapper for sni_ebuilder_service
struct sni_ebuilder_service_impl_adapter like snorb_i_impl_adapter {

  --
  -- data members
  --

  p_ref : sni_ebuilder_service;

  --
  -- snorb_i_impl_adapter methods:
  --

  -- ctor
  ctor( o_ref : sni_ebuilder_service ) is {
    p_ref = o_ref;
  };

  -- get_reference
  get_reference() : any_struct is {
    return p_ref;
  };

  --
  -- snorb_i_impl methods:
  --

  -- accept_call
  accept_call(    methodid : snorb_method_id,
                  param    : snorb_param_demarshaller) :
                  snorb_param_marshaller is {

    -- prepare the marshaller for returning
    result = NEW snorb_param_marshaller.ctor();

    -- test for each known method:

    if (methodid.equals( "move_to_node" )) {

      // prepare return variable
      var rvalue: sn_ebuilder_new_state;

      // unmarshall all params
      var s_id : string = param.get_string();
      var user_input : sn_jform_page_input = param.get_data( snorb.descriptor.sn_jform_page_input
         ).as_a(sn_jform_page_input);


      // make call
      rvalue = p_ref.move_to_node(
           s_id,
           user_input);

      // marshal return param
      result.put_data(rvalue, snorb.descriptor.sn_ebuilder_new_state);


    } else     if (methodid.equals( "move_to_next" )) {

      // prepare return variable
      var rvalue: sn_ebuilder_new_state;

      // unmarshall all params
      var user_input : sn_jform_page_input = param.get_data( snorb.descriptor.sn_jform_page_input
         ).as_a(sn_jform_page_input);


      // make call
      rvalue = p_ref.move_to_next(
           user_input);

      // marshal return param
      result.put_data(rvalue, snorb.descriptor.sn_ebuilder_new_state);


    } else     if (methodid.equals( "reset" )) {

      // prepare return variable
      var rvalue: sn_ebuilder_new_state;

      // unmarshall all params


      // make call
      rvalue = p_ref.reset();

      // marshal return param
      result.put_data(rvalue, snorb.descriptor.sn_ebuilder_new_state);


    } else     if (methodid.equals( "apply" )) {

      // prepare return variable
      var rvalue: sn_ebuilder_new_state;

      // unmarshall all params
      var user_input : sn_jform_page_input = param.get_data( snorb.descriptor.sn_jform_page_input
         ).as_a(sn_jform_page_input);


      // make call
      rvalue = p_ref.apply(
           user_input);

      // marshal return param
      result.put_data(rvalue, snorb.descriptor.sn_ebuilder_new_state);


    } else     if (methodid.equals( "build" )) {

      // NO return value
      
      // unmarshall all params


      // make call
      p_ref.build();
    } else     if (methodid.equals( "fill_defaults" )) {

      // prepare return variable
      var rvalue: sn_ebuilder_new_state;

      // unmarshall all params
      var user_input : sn_jform_page_input = param.get_data( snorb.descriptor.sn_jform_page_input
         ).as_a(sn_jform_page_input);


      // make call
      rvalue = p_ref.fill_defaults(
           user_input);

      // marshal return param
      result.put_data(rvalue, snorb.descriptor.sn_ebuilder_new_state);


    } else     if (methodid.equals( "ebuilder_closed" )) {

      // NO return value
      
      // unmarshall all params


      // make call
      p_ref.ebuilder_closed();
    } else     if (methodid.equals( "get_jform_page" )) {

      // prepare return variable
      var rvalue: sn_jform_page_props;

      // unmarshall all params
      var s_id : string = param.get_string();


      // make call
      rvalue = p_ref.get_jform_page(
           s_id);

      // marshal return param
      result.put_data(rvalue, snorb.descriptor.sn_jform_page_props);


    } else     if (methodid.equals( "item_value_changed" )) {

      // prepare return variable
      var rvalue: string;

      // unmarshall all params
      var name : string = param.get_string();
      var value : string = param.get_string();


      // make call
      rvalue = p_ref.item_value_changed(
           name,
           value);

      // marshal return param
      result.put_string(rvalue);


    }     else {
        
      // error: unknown method id
      sn_err(ORB_ACCEPTED_UNKNOWN_METHOD, methodid.to_string());
        
    };
  };
};

'>




