<'
'>
-----------------------------------------------
-- File: sni_ebrowsers_service_helper.e
-- E code, generated from edl edl_interface: sni_ebrowsers_service
-- Was built at: 10/01/01 21:12:34
-----------------------------------------------

<'

import sni_ebrowsers_service_declare.e;

'>


<'

-- The interface descriptor for sni_ebrowsers_service 


extend sni_ebrowsers_service_descriptor  {

  is_instance(o: any_struct): bool  is {
    return (p_to_instance(o) != NULL);
  };

  p_create_stub(oid: snorb_object_id): any_struct is {
    result = NEW sni_ebrowsers_service_stub.ctor(oid);
    result.set_unit(sys);
  };

  p_is_stub(o: any_struct): bool is  {
    return (p_to_stub_instance(o) != NULL);
  };

  p_get_stub_object_id( o: any_struct): snorb_object_id is {
    if (p_is_stub(o)) {
        result = p_to_stub_instance(o).p_get_object_id();
    };
  };

  p_create_impl_adapter( o: any_struct ): snorb_i_impl is {
    if (is_instance(o)) {
        result = NEW sni_ebrowsers_service_impl_adapter.ctor(p_to_instance(o));
    };
  };

  p_to_instance( o: any_struct ): sni_ebrowsers_service is {
    result = o.as_a(sni_ebrowsers_service);
  };

  p_to_stub_instance(o: any_struct): sni_ebrowsers_service_stub is {
    result = o.as_a(sni_ebrowsers_service_stub);
  };
};


-- Add generated struct in run time


  extend global {
      init() is also {
          sn_edl_parser.add_loaded_gen_struct("sni_ebrowsers_service");
      };
  };

'>



<'

-- The stub class for sni_ebrowsers_service

struct sni_ebrowsers_service_stub like sni_ebrowsers_service {

  -- generated data members

  p_objid : snorb_object_id;

  -- ctor

  ctor(objid: snorb_object_id) is { p_objid = objid; };


  -- access to obj id
                                           
  p_get_object_id() : snorb_object_id is { return p_objid; };


  // impl for sni_ebrowsers_service methods:

  get_source(
    n_source_ref: int): list of string is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();

    pm.put_int(n_source_ref);


    // make remote call

    var pd : snorb_param_demarshaller = 
        snorb.sender.call_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("get_source"), pm);

    // Demarshaller return param

    result = pd.get_string_list();
  };


  show_source(
    n_source_ref: int) is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();

    pm.put_int(n_source_ref);


    // make remote call

    var pd : snorb_param_demarshaller = 
        snorb.sender.call_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("show_source"), pm);

    // Demarshaller return param

  };


  edit_source(
    n_source_ref: int) is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();

    pm.put_int(n_source_ref);


    // make remote call

    var pd : snorb_param_demarshaller = 
        snorb.sender.call_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("edit_source"), pm);

    // Demarshaller return param

  };


  set_config_bool(
    s_category: string,
    s_option: string,
    f_val: bool) is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();

    pm.put_string(s_category);

    pm.put_string(s_option);

    pm.put_bool(f_val);


    // make remote call

    var pd : snorb_param_demarshaller = 
        snorb.sender.call_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("set_config_bool"), pm);

    // Demarshaller return param

  };


};

'>




<'

// The implementation wrapper for sni_ebrowsers_service
struct sni_ebrowsers_service_impl_adapter like snorb_i_impl_adapter {

  --
  -- data members
  --

  p_ref : sni_ebrowsers_service;

  --
  -- snorb_i_impl_adapter methods:
  --

  -- ctor
  ctor( o_ref : sni_ebrowsers_service ) is {
    p_ref = o_ref;
  };

  -- get_reference
  get_reference() : any_struct is {
    return p_ref;
  };

  --
  -- snorb_i_impl methods:
  --

  -- accept_call
  accept_call(    methodid : snorb_method_id,
                  param    : snorb_param_demarshaller) :
                  snorb_param_marshaller is {

    -- prepare the marshaller for returning
    result = NEW snorb_param_marshaller.ctor();

    -- test for each known method:

    if (methodid.equals( "get_source" )) {

      // prepare return variable
      var rvalue: list of string;

      // unmarshall all params
      var n_source_ref : int = param.get_int();


      // make call
      rvalue = p_ref.get_source(
           n_source_ref);

      // marshal return param
      result.put_string_list(rvalue);


    } else     if (methodid.equals( "show_source" )) {

      // NO return value
      
      // unmarshall all params
      var n_source_ref : int = param.get_int();


      // make call
      p_ref.show_source(
           n_source_ref);
    } else     if (methodid.equals( "edit_source" )) {

      // NO return value
      
      // unmarshall all params
      var n_source_ref : int = param.get_int();


      // make call
      p_ref.edit_source(
           n_source_ref);
    } else     if (methodid.equals( "set_config_bool" )) {

      // NO return value
      
      // unmarshall all params
      var s_category : string = param.get_string();
      var s_option : string = param.get_string();
      var f_val : bool = param.get_bool();


      // make call
      p_ref.set_config_bool(
           s_category,
           s_option,
           f_val);
    }     else {
        
      // error: unknown method id
      sn_err(ORB_ACCEPTED_UNKNOWN_METHOD, methodid.to_string());
        
    };
  };
};

'>




