<'
'>
-----------------------------------------------
-- File: sni_jform_service_helper.e
-- E code, generated from edl edl_interface: sni_jform_service
-- Was built at: 16/05/01 15:41:19
-----------------------------------------------

<'

import sni_jform_service_declare.e;

'>


<'

-- The interface descriptor for sni_jform_service 


extend sni_jform_service_descriptor  {

  is_instance(o: any_struct): bool  is {
    return (p_to_instance(o) != NULL);
  };

  p_create_stub(oid: snorb_object_id): any_struct is {
    result = NEW sni_jform_service_stub.ctor(oid);
    result.set_unit(sys);
  };

  p_is_stub(o: any_struct): bool is  {
    return (p_to_stub_instance(o) != NULL);
  };

  p_get_stub_object_id( o: any_struct): snorb_object_id is {
    if (p_is_stub(o)) {
        result = p_to_stub_instance(o).p_get_object_id();
    };
  };

  p_create_impl_adapter( o: any_struct ): snorb_i_impl is {
    if (is_instance(o)) {
        result = NEW sni_jform_service_impl_adapter.ctor(p_to_instance(o));
    };
  };

  p_to_instance( o: any_struct ): sni_jform_service is {
    result = o.as_a(sni_jform_service);
  };

  p_to_stub_instance(o: any_struct): sni_jform_service_stub is {
    result = o.as_a(sni_jform_service_stub);
  };
};


-- Add generated struct in run time


  extend global {
      init() is also {
          sn_edl_parser.add_loaded_gen_struct("sni_jform_service");
      };
  };

'>



<'

-- The stub class for sni_jform_service

struct sni_jform_service_stub like sni_jform_service {

  -- generated data members

  p_objid : snorb_object_id;

  -- ctor

  ctor(objid: snorb_object_id) is { p_objid = objid; };


  -- access to obj id
                                           
  p_get_object_id() : snorb_object_id is { return p_objid; };


  // impl for sni_jform_service methods:

  create_jform_window(
    props: sn_jform_page_props,
    n_columns: int) is {

    // marshal input parameters

    var pm: snorb_param_marshaller =
        NEW snorb_param_marshaller.ctor();

    pm.put_data(props, snorb.descriptor.sn_jform_page_props);

    pm.put_int(n_columns);


    // make remote call

    var pd : snorb_param_demarshaller = 
        snorb.sender.call_remote( me.p_objid, 
        NEW snorb_method_id.ctor_s("create_jform_window"), pm);

    // Demarshaller return param

  };


};

'>




<'

// The implementation wrapper for sni_jform_service
struct sni_jform_service_impl_adapter like snorb_i_impl_adapter {

  --
  -- data members
  --

  p_ref : sni_jform_service;

  --
  -- snorb_i_impl_adapter methods:
  --

  -- ctor
  ctor( o_ref : sni_jform_service ) is {
    p_ref = o_ref;
  };

  -- get_reference
  get_reference() : any_struct is {
    return p_ref;
  };

  --
  -- snorb_i_impl methods:
  --

  -- accept_call
  accept_call(    methodid : snorb_method_id,
                  param    : snorb_param_demarshaller) :
                  snorb_param_marshaller is {

    -- prepare the marshaller for returning
    result = NEW snorb_param_marshaller.ctor();

    -- test for each known method:

    if (methodid.equals( "create_jform_window" )) {

      // NO return value
      
      // unmarshall all params
      var props : sn_jform_page_props = param.get_data( snorb.descriptor.sn_jform_page_props
         ).as_a(sn_jform_page_props);
      var n_columns : int = param.get_int();


      // make call
      p_ref.create_jform_window(
           props,
           n_columns);
    }     else {
        
      // error: unknown method id
      sn_err(ORB_ACCEPTED_UNKNOWN_METHOD, methodid.to_string());
        
    };
  };
};

'>




