
proc open_eb_form {text} {
    global eb_form_name 

    set eb_form_name .wizard
    
    if {[winfo exists $eb_form_name]} {
	destroy $eb_form_name
    }

    toplevel $eb_form_name
    wm title $eb_form_name "E-Builder Form"
    wm geometry $eb_form_name 500x100+150+150
    
    label $eb_form_name.text -text "$text" -justify left
    pack $eb_form_name.text -side top
    

    frame  $eb_form_name.buttons
    pack $eb_form_name.buttons -side top

    button $eb_form_name.btn_ok -text OK -command "send_eb_answer OK"
    pack $eb_form_name.btn_ok -side left
    
    button $eb_form_name.btn_next -text "OK & Next" -command "send_eb_answer Next"
    pack $eb_form_name.btn_next -side left
    
    button $eb_form_name.btn_reset -text Reset -command "send_eb_answer Reset"
    pack $eb_form_name.btn_reset -side left
    
    button $eb_form_name.btn_cancel -text Cancel -command "send_eb_answer Cancel"
    pack $eb_form_name.btn_cancel -side left

    raise $eb_form_name

    return
    
}

proc send_eb_answer {s_result} {
    close_eb_form
    set sn_cmd "p_eb_manager.form_closed\(\"$s_result\"\)"
    sn_command $sn_cmd specman 0

    return
}

proc close_eb_form {} {
    global eb_form_name 

    if {[winfo exists $eb_form_name]} {
	destroy $eb_form_name
    }

}
